Skip to main content

Copier Create

The /user/copier/create endpoint allows a user to create a new copier bot for following a leader. This includes initial allocation, stop loss / take profit settings, and target leader. After successful creation, it returns the copier bot ID.

Method

POST /user/copier/create

Request Body

{
"take_profit": 25,
"stop_loss": 10,
"leader_id": "234234",
"commission": "10",
"is_inverse": false,
"is_mirror": false,
"invite_code": "BARAKA",
"margins": [
{ "symbol": "USDT", "amount": "2432.422" },
{ "symbol": "XBT", "amount": "0.0005" }
]
}

Response

{
"status": 200,
"data": {
"id": "234234"
}
}

Fields

  • start_amount (string, required): Initial amount to allocate to the copier bot.
  • take_profit (integer): Optional. Percentage at which to take profit e.g. 25 for 25%.
  • stop_loss (integer): Optional. Percentage at which to trigger stop loss, eg 10 for 10%.
  • leader_id (string, required): ID of the leader to copy.
  • commission (string, required): Leader commission at time of creation in percentage e.g. 10 for 10%.
  • is_inverse - (boolean): Optional. true if doing reverse copy trading, false otherwise. Default to false
  • is_mirror - (boolean): Optional. true if doing mirror copy trading, false otherwise. Default to false
  • invite_code - (string): Optional. For private copy leaders

status

  • 200: Successful creation of copier bot.